Imports System.Collections.ObjectModel
Imports System.IO
Imports System.Windows.Input
Imports EgtBEAMWALL.Core
Imports EgtUILib
Imports EgtWPFLib5

Public MustInherit Class WallVM
   Inherits PartVM

   Public ReadOnly Property m_WallM As WallM
      Get
         Return m_PartM
      End Get
   End Property

   Public Overrides Property sPOSX As String
      Get
         Return LenToString(m_WallM.dPOSX, 3)
      End Get
      Set(value As String)
         StringToLen(value, m_WallM.dPOSX)
      End Set
   End Property

   Public Overridable Property sPOSY As String
      Get
         Return LenToString(m_WallM.dPOSY, 3)
      End Get
      Set(value As String)
         StringToLen(value, m_WallM.dPOSY)
      End Set
   End Property

   Public ReadOnly Property dPOSY As Double
      Get
         Return m_WallM.dPOSY
      End Get
   End Property

   Public Property sROT As String
      Get
         Return LenToString(m_WallM.dROT, 3) & "°"
      End Get
      Set(value As String)
         StringToLen(value, m_WallM.dROT)
      End Set
   End Property

   Public ReadOnly Property dROT As Double
      Get
         Return m_WallM.dROT
      End Get
   End Property

   Public Overridable Property bFLIP As Boolean
      Get
         Return m_WallM.bFLIP
      End Get
      Set(value As Boolean)
         m_WallM.bFLIP = value
      End Set
   End Property

#Region "CONSTRUCTOR"

   Sub New(WallM As WallM, ParentMachGroupVM As WallMachGroupVM)
      MyBase.New(WallM, ParentMachGroupVM)
   End Sub

#End Region    ' CONSTRUCTOR

#Region "METHODS"

#End Region    ' METHODS

#Region "COMMANDS"

#End Region    ' COMMANDS

End Class
